org.apache.catalina.valves.rewrite

## Class RewriteCond.LexicalCondition

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RewriteCond.Condition
  - - org.apache.catalina.valves.rewrite.RewriteCond.LexicalCondition

- Enclosing class:
    RewriteCond

      public static class RewriteCond.LexicalCondition
      extends RewriteCond.Condition

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `condition`
    `int` | `type` -1: < 0: = 1: >

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LexicalCondition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(String value, Resolver resolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public int type

      -1: < 0: = 1: >

    - #### condition

          public String condition

  - ### Constructor Detail

    - #### LexicalCondition

          public LexicalCondition()

  - ### Method Detail

    - #### evaluate

          public boolean evaluate(String value,
                                  Resolver resolver)

      Specified by:
        `evaluate` in class `RewriteCond.Condition`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.